Subject: Re: Update hook in Cygwin

From: Andreas Ericsson <[email-masked]>
Date: Wed, 08 Mar 2006 14:36:36 +0100

Niklas Höglund wrote:
> Hi.
> 
> After creating a couple of repositories and pushing and cloning them,
> I get the following:
> 
> $ git push --all origin
> ...
> hooks/update: line 88: mail: command not found
> 
> This is in cygwin. I'm rather glad I don't have the mail command
> installed, as I don't want mails going anywhere.
> 
> The update hook contains the following comment:
> 
> # To enable this hook:
> # (1) change the recipient e-mail address
> # (2) make this file executable by "chmod +x update".
> 
> But my impression after a cursory look at it is that it would always
> call "mail" whenever it is run, and since all files are executable in
> Windows (AFAIK), it would always be run.

I was under the impression that the cygwin abstraction layer had some 
unixy permission thing on top of NTFS. Perhaps that's wrong. If you 
remove the hook it won't be called.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231